Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps
Class WsdlTestStepListenerAdapter

    java.lang.Object
      com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStepListenerAdapter

All Implemented Interfaces:
  WsdlTestStepListener

    public class WsdlTestStepListenerAdapter

extends java.lang.Object
implements WsdlTestStepListener

Adapter for WsdlTestStepListener implementations

Author:
  ole.matzura

Constructor Summary
`WsdlTestStepListenerAdapter()`

Method Summary
`void` | `propertyAdded(java.lang.String name)`
`void` | `propertyRemoved(java.lang.String name)`
`void` | `propertyRenamed(java.lang.String oldName, java.lang.String newName)`
`void` | `propertyValueChanged(java.lang.String name, java.lang.String oldValue, java.lang.String newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlTestStepListenerAdapter

    public WsdlTestStepListenerAdapter()

Method Detail

### propertyAdded

    public void propertyAdded(java.lang.String name)

  Specified by:
    `propertyAdded` in interface `WsdlTestStepListener`

### propertyRemoved

    public void propertyRemoved(java.lang.String name)

  Specified by:
    `propertyRemoved` in interface `WsdlTestStepListener`

### propertyRenamed

    public void propertyRenamed(java.lang.String oldName,
                                java.lang.String newName)

  Specified by:
    `propertyRenamed` in interface `WsdlTestStepListener`

### propertyValueChanged

    public void propertyValueChanged(java.lang.String name,
                                     java.lang.String oldValue,
                                     java.lang.String newValue)

  Specified by:
    `propertyValueChanged` in interface `WsdlTestStepListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.